package com.utopiaindustries.qualitychecker.models;

import androidx.annotation.NonNull;

import java.io.Serializable;
import java.util.List;

public class InspectionReportItem implements Serializable {

    private static final long serialVersionUID = 1L;
    private long id;
    private long reportId;
    private String asin;
    private String parentAsin;
    private String marketplace;
    private String sku;
    private String title;
    private String hsCode;
    private String modelNumber;
    private long itemPerBox;
    private String smColor;
    private String smSize;
    private String smItemName;
    private String orderNumber;
    private String article;
    private float totalPresentPieces;
    private float totalPresentPacks;
    private float totalPresentCartons;
    // sqrt( totalPresentCartons )
    private float cartonsSelected;
    private float packsSelected;
    private float piecesSelected;
    private String packingDetails;
    private String sampleSize;
    private String dateAdded;
    // wrapper
    private List<InspectionItemCheckPoint> checkPoints;
    private List<InspectionItemDimension> dimensions;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getReportId() {
        return reportId;
    }

    public void setReportId(long reportId) {
        this.reportId = reportId;
    }

    public String getAsin() {
        return asin;
    }

    public void setAsin(String asin) {
        this.asin = asin;
    }

    public String getParentAsin() {
        return parentAsin;
    }

    public void setParentAsin(String parentAsin) {
        this.parentAsin = parentAsin;
    }

    public String getMarketplace() {
        return marketplace;
    }

    public void setMarketplace(String marketplace) {
        this.marketplace = marketplace;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }

    public long getItemPerBox() {
        return itemPerBox;
    }

    public void setItemPerBox(long itemPerBox) {
        this.itemPerBox = itemPerBox;
    }

    public String getSmColor() {
        return smColor;
    }

    public void setSmColor(String smColor) {
        this.smColor = smColor;
    }

    public String getSmSize() {
        return smSize;
    }

    public void setSmSize(String smSize) {
        this.smSize = smSize;
    }

    public String getSmItemName() {
        return smItemName;
    }

    public void setSmItemName(String smItemName) {
        this.smItemName = smItemName;
    }

    public List<InspectionItemCheckPoint> getCheckPoints() {
        return checkPoints;
    }

    public void setCheckPoints(List<InspectionItemCheckPoint> checkPoints) {
        this.checkPoints = checkPoints;
    }

    public List<InspectionItemDimension> getDimensions() {
        return dimensions;
    }

    public void setDimensions(List<InspectionItemDimension> dimensions) {
        this.dimensions = dimensions;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getArticle() {
        return article;
    }

    public void setArticle(String article) {
        this.article = article;
    }

    public float getTotalPresentPieces() {
        return totalPresentPieces;
    }

    public void setTotalPresentPieces(float totalPresentPieces) {
        this.totalPresentPieces = totalPresentPieces;
    }

    public float getTotalPresentPacks() {
        return totalPresentPacks;
    }

    public void setTotalPresentPacks(float totalPresentPacks) {
        this.totalPresentPacks = totalPresentPacks;
    }

    public float getTotalPresentCartons() {
        return totalPresentCartons;
    }

    public void setTotalPresentCartons(float totalPresentCartons) {
        this.totalPresentCartons = totalPresentCartons;
    }

    public float getCartonsSelected() {
        return cartonsSelected;
    }

    public void setCartonsSelected(float cartonsSelected) {
        this.cartonsSelected = cartonsSelected;
    }

    public float getPacksSelected() {
        return packsSelected;
    }

    public void setPacksSelected(float packsSelected) {
        this.packsSelected = packsSelected;
    }

    public String getPackingDetails() {
        return packingDetails;
    }

    public void setPackingDetails(String packingDetails) {
        this.packingDetails = packingDetails;
    }

    public float getPiecesSelected() {
        return piecesSelected;
    }

    public void setPiecesSelected(float piecesSelected) {
        this.piecesSelected = piecesSelected;
    }

    public String getSampleSize() {
        return sampleSize;
    }

    public void setSampleSize(String sampleSize) {
        this.sampleSize = sampleSize;
    }

    public String getDateAdded() {
        return dateAdded;
    }

    public void setDateAdded(String dateAdded) {
        this.dateAdded = dateAdded;
    }

    @NonNull
    @Override
    public String toString() {
        return "InspectionAuditReportItem{" +
                "id=" + id +
                ", reportId=" + reportId +
                ", asin='" + asin + '\'' +
                ", parentAsin='" + parentAsin + '\'' +
                ", marketplace='" + marketplace + '\'' +
                ", sku='" + sku + '\'' +
                ", title='" + title + '\'' +
                ", hsCode='" + hsCode + '\'' +
                ", modelNumber='" + modelNumber + '\'' +
                ", itemPerBox=" + itemPerBox +
                ", smColor='" + smColor + '\'' +
                ", smSize='" + smSize + '\'' +
                ", smItemName='" + smItemName + '\'' +
                ", checkPoints=" + checkPoints +
                ", dimensions=" + dimensions +
                '}';
    }
}
